> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getBridgeContracts

> Returns the addresses of the bridge contracts on L1 and L2



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getBridgeContracts
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getBridgeContracts:
    post:
      tags:
        - ZKSync API
      summary: zks_getBridgeContracts
      description: Returns the addresses of the bridge contracts on L1 and L2
      operationId: zks_getBridgeContracts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getBridgeContracts
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: No parameters
                  default: []
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getBridgeContracts
              params: []
      responses:
        '200':
          description: Returns the bridge contract addresses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BridgeContractsResponse'
              example:
                jsonrpc: '2.0'
                result:
                  l1Erc20DefaultBridge: '0x927ddfcc55164a59e0f33918d13a2a210aa4ee65'
                  l2Erc20DefaultBridge: '0x0000000000000000000000000000000000008006'
                  l1WethBridge: '0x0000000000000000000000000000000000000000'
                  l2WethBridge: '0x0000000000000000000000000000000000000000'
                id: 1
components:
  schemas:
    BridgeContractsResponse:
      $ref: 23749e7e-8730-4f1d-8825-15f1861eb16c

````